Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.metaclass
[Java] Class MergePersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractDynamicPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractSavePersistentMethod
                  org.codehaus.groovy.grails.orm.hibernate.metaclass.MergePersistentMethod

    public class MergePersistentMethod
    extends AbstractSavePersistentMethod

The merge() method follows the semantics of merge which attempts to "merge" an object with a long lived session.

Authors:
  Graeme Rocher

Since:
  0.3

Field Summary
`static java.util.regex.Pattern` | `METHOD_PATTERN`
`static java.lang.String` | `METHOD_SIGNATURE`

Fields inherited from class AbstractDynamicPersistentMethod
ERRORS_PROPERTY

Constructor Summary
`MergePersistentMethod(SessionFactory sessionFactory, java.lang.ClassLoader classLoader, GrailsApplication application)`
`MergePersistentMethod(SessionFactory sessionFactory, java.lang.ClassLoader classLoader, GrailsApplication application, GrailsDomainClass dc)`

Method Summary
`protected java.lang.Object` | `performInsert(java.lang.Object target, boolean shouldFlush)`
`protected java.lang.Object` | `performSave(java.lang.Object target, boolean flush)`

Methods inherited from class AbstractSavePersistentMethod
doInvokeInternal, handleValidationError, isAutoValidationDisabled, performInsert, performSave, setErrorsOnInstance

Methods inherited from class AbstractDynamicPersistentMethod
doInvokeInternal, getHibernateTemplate, invoke, setObjectToReadOnly, setObjectToReadWrite, setupErrorsProperty

Methods inherited from class AbstractDynamicMethodInvocation
getPattern, invoke, isMethodMatch, setPattern

Field Detail

### METHOD_PATTERN

    public static final java.util.regex.Pattern METHOD_PATTERN

### METHOD_SIGNATURE

    public static final java.lang.String METHOD_SIGNATURE

Constructor Detail

### MergePersistentMethod

    public MergePersistentMethod(SessionFactory sessionFactory, java.lang.ClassLoader classLoader, GrailsApplication application)

### MergePersistentMethod

    public MergePersistentMethod(SessionFactory sessionFactory, java.lang.ClassLoader classLoader, GrailsApplication application, GrailsDomainClass dc)

Method Detail

### performInsert

    @Override
    protected java.lang.Object performInsert(java.lang.Object target, boolean shouldFlush)

### performSave

    @Override
    protected java.lang.Object performSave(java.lang.Object target, boolean flush)

Groovy Documentation